import { getADirectionState, getClockwiseDir, setADirectionState } from "../util/dirUtils";
export const CabinSidingSlabComponent = {
    //apparently having this also swings the animation JUST on empty item, at random. too bad this time we dont want this...
    beforeOnPlayerPlace: (event) => {
        const perm = event.permutationToPlace;
        if (perm.getState("minecraft:vertical_half") == "top") {
            console.log("top half");
            let dir = getADirectionState(perm);
            dir = getClockwiseDir(dir);
            event.permutationToPlace = setADirectionState(perm, dir);
        }
    }
};
